
IMConf=new Object();IMConf.ENV="pre";IMConf.APPID="gomeplus_pre";IMConf.IM_API_URL="http://api-imrh.pre.gomeplus.com/im-platform/";IMConf.OSTYPE=30;IMConf.VERSION=1;IMConf.DEVICE_TYPE=32;IMConfInit=function(env){if(env!=undefined&&env!=null){IMConf.ENV=env;}
setENVConfig(env);this.setENV=function(env2){IMConf.ENV=env2;setENVConfig(env2);}
this.setOsType=function(osType){if(osType==1){IMConf.OSTYPE=31;}else if(osType==2){IMConf.OSTYPE=32;}else if(osType==3){IMConf.OSTYPE=33;}else{IMConf.OSTYPE=30;}}
this.setAPPID=function(appId){IMConf.APPID=appId}
this.setURL=function(url){IMConf.IM_API_URL=url;}}
setENVConfig=function(env){if(IMConf.ENV=="pre"){console.log("load pre config")
IMConf.APPID="gomeplus_pre";IMConf.IM_API_URL="http://api-imrh.pre.gomeplus.com/im-platform/";}else if(IMConf.ENV=="pro"){console.log("load pro config")
IMConf.APPID="gomeplus_pro";IMConf.IM_API_URL="https://im-platform.gome.com.cn/im-platform/";}}